JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.valid
Class RepeatedPointTester

    java.lang.Object
      com.vividsolutions.jts.operation.valid.RepeatedPointTester

    public class RepeatedPointTester

extends java.lang.Object

Implements the appropriate checks for repeated points (consecutive identical coordinates) as defined in the JTS spec.

Version:
  1.7

Constructor Summary
`RepeatedPointTester()`

Method Summary
`Coordinate` `getCoordinate()`
`boolean` `hasRepeatedPoint(Coordinate[] coord)`
`boolean` `hasRepeatedPoint(Geometry g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatedPointTester

    public RepeatedPointTester()

Method Detail

### getCoordinate

    public Coordinate getCoordinate()

### hasRepeatedPoint

    public boolean hasRepeatedPoint(Geometry g)

### hasRepeatedPoint

    public boolean hasRepeatedPoint(Coordinate[] coord)

JTS Topology Suite version 1.13